# 获取当前程序所在目录
$currentDir = Get-Location

# 定义更新文件夹路径
$updateFolder = "$currentDir\updates"

# 检查更新文件夹是否存在
if (-Not (Test-Path $updateFolder)) {
    Write-Host "更新文件夹不存在: $updateFolder"
    exit 1
}

# 将更新文件夹中的所有文件覆盖到当前目录
Get-ChildItem -Path $updateFolder -Recurse | ForEach-Object {
    $destination = Join-Path -Path $currentDir -ChildPath $_.Name
    if (Test-Path $destination) {
        Remove-Item -Path $destination -Recurse -Force
    }
    Copy-Item -Path $_.FullName -Destination $destination -Recurse -Force
}

# 清除更新文件夹中的所有文件
Get-ChildItem -Path $updateFolder -Recurse | ForEach-Object {
    Remove-Item -Path $_.FullName -Recurse -Force
}
Write-Host "更新文件夹已清空: $updateFolder"

# 启动主程序（假设为 main.exe）
$mainProgramPath = "$currentDir\加速器.exe"
if (Test-Path $mainProgramPath) {
    Start-Process -FilePath $mainProgramPath
} else {
    Write-Host "主程序不存在: $mainProgramPath"
}

exit
